package edu.whut.domain.tag.adapter.repository;

import edu.whut.domain.tag.model.entity.CrowdTagsJobEntity;

/**
 * 人群标签仓储接口
 */
public interface ITagRepository {

    //拉取批次任务配置
    CrowdTagsJobEntity queryCrowdTagsJobEntity(String tagId, String batchId);

    //向明细表＋Redis 位图双写
    void addCrowdTagsUserId(String tagId, String userId);

    //把累计数量写回主表的统计字段
    void updateCrowdTagsStatistics(String tagId, int count);

}
